HostingDelivery
Update suppression list entry
PUT
/api/delivery/suppression_lists/editUpdates reason, account restrictions or active state for a suppression list entry.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
email*string
Email address to update in the suppression list.
reason?string
Suppression reason.
complaint= recipient complaint.bounce= delivery bounce.
Values
complaint | bounceaccounts?string[]
Delivery account ids/codes to restrict the suppression entry to. Empty removes account restrictions.
active?boolean
Whether the suppression entry is active.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/delivery/suppression_lists/edit" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}